全部产品

mPaaS 10.1.68 适配 Android 11

更新时间:2021-02-26 16:47

背景

谷歌已于 2020 年 9 月 9 日正式发布 Android 11 系统。mPaaS 作为基础库,已在 10.1.68 基线上进行了适配。 10.1.68.14 及之后的版本已经完成了对 Android 11 系统的适配。在 mPaaS 适配之前,在 Android 11 设备上,mPaaS SDK 受到的影响为:H5 容器无法启动 UC 内核

升级 SDK/组件

使用 mPaaS 插件 来升级 mPaaS SDK 或组件。

  • 如果使用的基线版本已经是 10.1.68,只需升级到最新版本即可。可参考 10.1.68 发布说明
  • 如果使用的基线版本为 10.1.60 或以下版本,请升级至 10.1.68,并更新至最新版本。目前暂无计划在 mPaaS 10.1.60 及以下版本中适配 Android 11 系统。

更新热修复配置

如果您在 10.1.68.14 之前版本的基线中已经使用了热修复,那么您需要更新热修复的白名单配置以适配 Android 11。详情请参见 白名单配置文件编写规则

定制库处理

10.1.68 版本各组件合入了定制化的需求,但是为了稳妥起见,如果此前您的依赖中包含定制库,则需要按以下情况处理:

  • 如果您是从低版本 SDK(例如 10.1.60)升级至 10.1.68 版本,您的定制库可能需要基于新版本重新定制,请 提交工单 或联系 mPaaS 支持人员确认。
  • 如果您已使用 10.1.68 版本,则只需更新部分组件。参见下文的 适配 Android 11 更新的库清单,检查您的定制库是否包含在其中。
    • 如果不包含,您可继续使用该定制库。
    • 如果包含,您的定制库可能需要重新定制,请 提交工单 或联系 mPaaS 支持人员。

适配 Android 11 更新的库清单

  • nebulaappproxy
  • nebulauc